NullCalendar Class Reference
Date and time calculations » Calendars

Calendar for reproducing theoretical calculations. More...

`#include <ql/time/calendars/nullcalendar.hpp>`

Inheritance diagram for NullCalendar:
[legend]

## Additional Inherited Members

Public Member Functions inherited from Calendar
| Calendar ()
bool | empty () const
| Returns whether or not the calendar is initialized.
std::string | name () const
| Returns the name of the calendar. More...
const std::set< Date > & | addedHolidays () const
const std::set< Date > & | removedHolidays () const
bool | isBusinessDay (const Date &d) const
bool | isHoliday (const Date &d) const
bool | isWeekend (Weekday w) const
bool | isEndOfMonth (const Date &d) const
Date | endOfMonth (const Date &d) const
| last business day of the month to which the given date belongs
void | addHoliday (const Date &)
void | removeHoliday (const Date &)
std::vector< Date > | holidayList (const Date &from, const Date &to, bool includeWeekEnds=false) const
std::vector< Date > | businessDayList (const Date &from, const Date &to) const
Date | adjust (const Date &, BusinessDayConvention convention=Following) const
Date | advance (const Date &, Integer n, TimeUnit unit, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date | advance (const Date &date, const Period &period, BusinessDayConvention convention=Following, bool endOfMonth=false) const
Date::serial_type | businessDaysBetween (const Date &from, const Date &to, bool includeFirst=true, bool includeLast=false) const
Static Public Member Functions inherited from Calendar
static QL_DEPRECATED std::vector< Date > | holidayList (const Calendar &calendar, const Date &from, const Date &to, bool includeWeekEnds=false)
Protected Attributes inherited from Calendar
ext::shared_ptr< Impl > | impl_
Related Functions inherited from Calendar
bool | operator== (const Calendar &, const Calendar &)
bool | operator!= (const Calendar &, const Calendar &)
std::ostream & | operator<< (std::ostream &, const Calendar &)

## Detailed Description

Calendar for reproducing theoretical calculations.

This calendar has no holidays. It ensures that dates at whole-month distances have the same day of month.

Examples
  CallableBonds.cpp, Replication.cpp, and Repo.cpp.